package main

import (
	"database/sql"
	"fmt"

	// go mod init lesson5
	// go get github.com/lib/pq が必要
	_ "github.com/lib/pq"
)

func main() {
	db, err := sql.Open("postgres", "host=localhost port=5432 user=postgres password=postgres dbname=lesson5 sslmode=disable")
	if err != nil {
		fmt.Println("データベースへの接続に失敗しました:", err)
		return
	}

	row := db.QueryRow("SELECT * FROM employee WHERE id = $1", 1)

	var employee struct {
		ID    int
		Name  string
		Email string
	}

	err = row.Scan(&employee.ID, &employee.Name, &employee.Email)
	if err != nil {
		fmt.Println("SQLの実行に失敗しました:", err)
		return
	}

	fmt.Printf("%+v\n", employee)

	if err := db.Close(); err != nil {
		fmt.Println("データベースの切断に失敗しました:", err)
	}
}
