# PostgreSQL のインストール（macOS）

ここでは macOS 向けの PostgreSQL のインストール手順について解説します。Windows については [「PostgreSQL のインストール（Windows）」](./for-windows.md) をご確認ください。

## 1. インストーラーのダウンロード

https://postgresql.org にアクセスし、「Download」のリンクをクリックします。

![postgresql.prg](./images/top.png)

「Downloads」→「PostgreSQL Downloads」→「Packages and installers」にある「**macOS**」のリンクをクリックします。

![postgresql.prg/downloads](./images/download.png)

「Interactive installer by EDB」にある「**Download the installer**」というリンクをクリックします。

![postgresql.prg/downloads/macos](./images/download-for-macos.png)

インストーラーのダウンロードページに遷移するので、「Mac OS X」の下にあるダウンロードリンクをクリックします。

![edb](./images/edb.png)

## 2. ソフトウェアのインストール

ダウンロードした**postgresql-15-1-1-osx.dmg**を開きます。

※ *15-1-1*の部分はダウンロードした PostgreSQL のバージョンによって異なります。

Finderが表示されます。**postgresql-15-1-1-osx.app**というファイルがあるので、それを実行します。

![postgresql-15-1-1-osx.dmg](./images/postgres.dmg.png)

インストーラーが起動するので「Next」をクリックして次に進みます。

![01](./images/installer-macos/01.png)

インストール先を指定します。特に問題なければデフォルトのまま「Next」で次に進みます。

![02](./images/installer-macos/02.png)

インストールするソフトウェアを選択します。「PostgreSQL Server」と「pgAdmin 4」と「Command Line Tools」は必ずインストールしてください。「Stack Builder」は本講座では必須ではありません。

![03](./images/installer-macos/03.png)

PostgreSQLのデータを格納する先を選択します。デフォルトのままで問題なければそのまま次に進みます。

![04](./images/installer-macos/04.png)

PostgreSQLにはユーザーアカウントを管理する機能があります。`postgres`という管理者アカウントが自動で作成されるので、そのユーザーのパスワードを設定します。何も指定しなければパスワードは`postgres`になります。

この講座では特定のパスワードを指定する必要はありません。次に進みます。

![05](./images/installer-macos/05.png)

ポート番号を指定します。デフォルトの`5432`のまま次に進みます。

![06](./images/installer-macos/06.png)

ロケールを制定します。デフォルトのまま次に進みます。

![07](./images/installer-macos/07.png)

インストール設定の確認です。次に進みます。

![08](./images/installer-macos/08.png)

次に進みます。

![09](./images/installer-macos/09.png)

インストールが実行されます。

![10](./images/installer-macos/10.png)

完了したら「Finish」を押して終了します。Stack Builderを起動するかどうか設定できますが、不要なのでチェックをはずしておきましょう。

![11](./images/installer-macos/11.png)

インストールが完了したら[pgAdminによるセットアップ](./pgAdmin.md)に進みます。