# PostgreSQL のインストール（Windows）

ここでは Windows 向けの PostgreSQL のインストール手順について解説します。macOS については [「PostgreSQL のインストール（macOS）」](./for-macos.md) をご確認ください。

## 1. インストーラーのダウンロード

<https://postgresql.org> にアクセスし、「Download」のリンクをクリックします。

![postgresql.prg](./**images**/top.png)

「Downloads」→「PostgreSQL Downloads」→「Packages and installers」にある「**Windows**」のリンクをクリックします。

![postgresql.prg/downloads](./images/download.png)

「Interactive installer by EDB」にある「**Download the installer**」というリンクをクリックします。

![postgresql.prg/downloads/windows](./images/download-for-windows.png)

インストーラーのダウンロードページに遷移するので、「Windows x86-64」の下にあるダウンロードリンクをクリックします。

![edb](./images/edb.png)

## 2. ソフトウェアのインストール

ダウンロードしたインストーラーを開きます。インストーラーが起動するので「Next」をクリックして次に進みます。

![01](./images/installer-windows/01.png)

インストール先を指定します。特に問題なければデフォルトのまま「Next」で次に進みます。

![02](./images/installer-windows/02.png)

インストールするソフトウェアを選択します。「PostgreSQL Server」と「pgAdmin 4」と「Command Line Tools」は必ずインストールしてください。「Stack Builder」は本講座では必須ではありません。

![03](./images/installer-windows/03.png)

PostgreSQLのデータを格納する先を選択します。デフォルトのままで問題なければそのまま次に進みます。

![04](./images/installer-windows/04.png)

PostgreSQLにはユーザーアカウントを管理する機能があります。`postgres`という管理者アカウントが自動で作成されるので、そのユーザーのパスワードを設定します。何も指定しなければパスワードは`postgres`になります。

この講座では特定のパスワードを指定する必要はありません。次に進みます。

![05](./images/installer-windows/05.png)

ポート番号を指定します。デフォルトの`5432`のまま次に進みます。

![06](./images/installer-windows/06.png)

ロケールを制定します。デフォルトのまま次に進みます。

![07](./images/installer-windows/07.png)

インストール設定の確認です。次に進みます。

![08](./images/installer-windows/08.png)

次に進みます。

![09](./images/installer-windows/09.png)

インストールが実行されます。

![10](./images/installer-windows/10.png)

完了したら「Finish」を押して終了します。Stack Builderを起動するかどうか設定できますが、不要なのでチェックをはずしておきましょう。

![11](./images/installer-windows/11.png)

インストールが完了したら[pgAdminによるセットアップ](./pgAdmin.md)に進みます。

