# pgAdminによるPostgreSQLのセットアップ

ここではpgAdminを用いたデータベースの設定手順について解説します。まだ PostgreSQL をインストールしていない場合は [「PostgreSQL のインストール」](./how-to-install-postgresql.md) から必要なソフトウェアのインストールを実行してください。

`pgAdmin 4`というソフトウェアがインストールされているので、起動します。

- Windows の場合は `C:\Program Files\` にインストールされています。
- macOS の場合は `/Applications/Postgres 15/` にインストールされています。

起動すると、PostgreSQL Server に接続するための設定を要求されます。インストール時に設定したパスワードを入力します。デフォルトは `postgres` です。

![02](./images/pgAdmin/02.png)

データベースを作成します。「Servers」→「PostgreSQL 15」にある「Databases」を右クリックして「Create」→「Database...」を選択します。

![03](./images/pgAdmin/03.png)

データベース名を設定します。「lesson5」と入力して「Save」をクリックします。

![04](./images/pgAdmin/04.png)

lesson5というデータベースが作成されます。

![05](./images/pgAdmin/05.png)

テーブルを作成します。「Schemas」→「public」にある「Tables」を右クリックして「Create」→「Tables...」を選択します。

![06](./images/pgAdmin/06.png)

テーブルの設定をします。「Name」に `employee` と入力します。次に「Columns」タブを選択してカラムの設定をします。

![07](./images/pgAdmin/07.png)

「+」を押して`id`、`name`、`email`を以下の通り追加します。

![08](./images/pgAdmin/08.png)

PostgreSQL の設定はこれで完了です。
